const request = require('request');


module.exports = function(config){

    let host =  config.INFOCHAT_DATA_SERVER;
    let BotmetricsMiddleware = {};

    BotmetricsMiddleware.receive = function (conversationId, message) {
        if (message) {
            sendRequest("/conversationhistories/" + conversationId, message);
        }
    };

    BotmetricsMiddleware.send = function (conversationId, message) {
        if (message) {
            sendRequest("/conversationhistories/" + conversationId, message);
        }
    };

    BotmetricsMiddleware.updateData = function (conversationId, message) {
        if (message) {
            sendRequest("/conversations/" + conversationId + "/userdata", message);
        }
    };

    BotmetricsMiddleware.trackIntent = function (message) {
        if (message) {
            sendRequest("/intentstracks", message);
        }
    };


    BotmetricsMiddleware.registerNewConversation = function (data) {

        console.log("registrando new conversation");
        sendRequest("/conversations", data);
    };

    function sendRequest(uri, data) {

        // if (process.env.NODE_ENV != 'dev') {

        console.log(host + uri);

            request.post({url: host + uri, json: data}, function (err, resp, body) {
                if (err) {
                       console.log("############################erro")
                } else {
                     console.log("###########################salvou")
                }

                console.log(body);
            });
        // }
    }

    return BotmetricsMiddleware;
};



