


var str = ["oi","oi","ola","bom dia","boa tarde","boa noite","como vai","ei","bom","dia","boa","tarde","noite","oii","oiii","oiiii","oiiiii","oiiiiii","oiiiiiii","ooi","oooi","oooii","ooooii","ooooiii","oola","olaa","olaaa","hola","holaa","heloo","hello","helooo","hellooo","booa","boaa",
    "tudo bem","tudo bem","como vai","tudo certo","obrigado","certo","entendi","entendi mas","certo mas"];



let Util = {};


Util.isPhrase = function(phrase){
    return phrase.split(" ").length >= 3
}

function wordInString(s, words, replacement){

    s = removeDotsAndComma(s);

    var re = new RegExp('(\\s|^)(?:' + words.join('|') +')(?=\\s|$)');
    return s.replace(re, replacement);
}

function removeDotsAndComma(phrase){
    var regex = /[.,]/g;

    var result = phrase.replace(regex, '');

    return result;
}

Util.replaceIfIsPhrase = function(phrase){
    return Util.isPhrase(phrase) ? wordInString(phrase, str, "").trim() : phrase;
}


Util.capitalizeFirstLetter = function(string) {
    return string.charAt(0).toUpperCase() + string.slice(1);
}

module.exports = Util;
