
var cheerio = require('cheerio');
var request = require('request');
var requester = {};

requester.doHsystemRequest = function (companyId, checkIn, checkOut, AmountAdults, AmountChildren, language) {


    var promise = new Promise(function (resolve, reject) {

        var json =
            {
                "CompanyId": companyId,
                "ArrivalDateString": checkIn,
                "DepartureDateString": checkOut,
                "AmountAdults": AmountAdults,
                "AmountChildren": AmountChildren,
                "ChildrenAges": [],
                "IsSkipedBooking": false
            }


        console.log("JSON", json);

        request.post({
            url: 'https://hbook.hsystem.com.br/Booking/GetAvailability',
            json: json
        }, function (err, httpResponse, bodymaster) {



            console.log('https://hbook.hsystem.com.br/booking?companyId=' + companyId + '&checkin=&checkin_submit=&checkout=&checkout_submit=&promocode=&language='+language);

            request.get({url: 'https://hbook.hsystem.com.br/booking?companyId=' + companyId + '&checkin=&checkin_submit=&checkout=&checkout_submit=&promocode=&language='+language}, function (err, httpResponse, body) {


                if (!err) {

                    $ = cheerio.load(body);

                    var data = $('#body > section > script:nth-child(34)').text();

                     console.log(data);

                    var returno = {
                        data: data,
                        body: bodymaster,
                        url: `https://hbook.hsystem.com.br/booking?companyId=${companyId}&checkin=${json.ArrivalDateString}&checkin_submit=${json.ArrivalDateString}&checkout=${json.DepartureDateString}&checkout_submit=${json.DepartureDateString}&adults=${json.AmountAdults}&children=${json.AmountChildren}&language=${language}`
                    }

                    resolve(returno);
                }
                else {
                    reject(Error("It broke"));
                }


            });

        })


    });


    return promise;
}


//requester.doHsystemRequest("54c9476bec8fc41e68c7a636", "16/01/2018", "17/01/2018", 1, 0);


module.exports = requester


